## org.eclipse.datatools.modelbase.sql.query.util
Class SQLQueryModelSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelSwitch

public class SQLQueryModelSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLQueryModelPackage`

Constructor Summary
`SQLQueryModelSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseColumnName(ColumnName object)` Returns the result of interpretting the object as an instance of 'Column Name'.
`java.lang.Object` `caseCursorReference(CursorReference object)` Returns the result of interpretting the object as an instance of 'Cursor Reference'.
`java.lang.Object` `caseEModelElement(EModelElement object)` Returns the result of interpretting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(ENamedElement object)` Returns the result of interpretting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseGrouping(Grouping object)` Returns the result of interpretting the object as an instance of 'Grouping'.
`java.lang.Object` `caseGroupingExpression(GroupingExpression object)` Returns the result of interpretting the object as an instance of 'Grouping Expression'.
`java.lang.Object` `caseGroupingSets(GroupingSets object)` Returns the result of interpretting the object as an instance of 'Grouping Sets'.
`java.lang.Object` `caseGroupingSetsElement(GroupingSetsElement object)` Returns the result of interpretting the object as an instance of 'Grouping Sets Element'.
`java.lang.Object` `caseGroupingSetsElementExpression(GroupingSetsElementExpression object)` Returns the result of interpretting the object as an instance of 'Grouping Sets Element Expression'.
`java.lang.Object` `caseGroupingSetsElementSublist(GroupingSetsElementSublist object)` Returns the result of interpretting the object as an instance of 'Grouping Sets Element Sublist'.
`java.lang.Object` `caseGroupingSpecification(GroupingSpecification object)` Returns the result of interpretting the object as an instance of 'Grouping Specification'.
`java.lang.Object` `caseOrderByOrdinal(OrderByOrdinal object)` Returns the result of interpretting the object as an instance of 'Order By Ordinal'.
`java.lang.Object` `caseOrderByResultColumn(OrderByResultColumn object)` Returns the result of interpretting the object as an instance of 'Order By Result Column'.
`java.lang.Object` `caseOrderBySpecification(OrderBySpecification object)` Returns the result of interpretting the object as an instance of 'Order By Specification'.
`java.lang.Object` `caseOrderByValueExpression(OrderByValueExpression object)` Returns the result of interpretting the object as an instance of 'Order By Value Expression'.
`java.lang.Object` `casePredicate(Predicate object)` Returns the result of interpretting the object as an instance of 'Predicate'.
`java.lang.Object` `casePredicateBasic(PredicateBasic object)` Returns the result of interpretting the object as an instance of 'Predicate Basic'.
`java.lang.Object` `casePredicateBetween(PredicateBetween object)` Returns the result of interpretting the object as an instance of 'Predicate Between'.
`java.lang.Object` `casePredicateExists(PredicateExists object)` Returns the result of interpretting the object as an instance of 'Predicate Exists'.
`java.lang.Object` `casePredicateIn(PredicateIn object)` Returns the result of interpretting the object as an instance of 'Predicate In'.
`java.lang.Object` `casePredicateInValueList(PredicateInValueList object)` Returns the result of interpretting the object as an instance of 'Predicate In Value List'.
`java.lang.Object` `casePredicateInValueRowSelect(PredicateInValueRowSelect object)` Returns the result of interpretting the object as an instance of 'Predicate In Value Row Select'.
`java.lang.Object` `casePredicateInValueSelect(PredicateInValueSelect object)` Returns the result of interpretting the object as an instance of 'Predicate In Value Select'.
`java.lang.Object` `casePredicateIsNull(PredicateIsNull object)` Returns the result of interpretting the object as an instance of 'Predicate Is Null'.
`java.lang.Object` `casePredicateLike(PredicateLike object)` Returns the result of interpretting the object as an instance of 'Predicate Like'.
`java.lang.Object` `casePredicateQuantified(PredicateQuantified object)` Returns the result of interpretting the object as an instance of 'Predicate Quantified'.
`java.lang.Object` `casePredicateQuantifiedRowSelect(PredicateQuantifiedRowSelect object)` Returns the result of interpretting the object as an instance of 'Predicate Quantified Row Select'.
`java.lang.Object` `casePredicateQuantifiedValueSelect(PredicateQuantifiedValueSelect object)` Returns the result of interpretting the object as an instance of 'Predicate Quantified Value Select'.
`java.lang.Object` `caseQueryChangeStatement(QueryChangeStatement object)` Returns the result of interpretting the object as an instance of 'Query Change Statement'.
`java.lang.Object` `caseQueryCombined(QueryCombined object)` Returns the result of interpretting the object as an instance of 'Query Combined'.
`java.lang.Object` `caseQueryDeleteStatement(QueryDeleteStatement object)` Returns the result of interpretting the object as an instance of 'Query Delete Statement'.
`java.lang.Object` `caseQueryExpression(QueryExpression object)` Returns the result of interpretting the object as an instance of 'Query Expression'.
`java.lang.Object` `caseQueryExpressionBody(QueryExpressionBody object)` Returns the result of interpretting the object as an instance of 'Query Expression Body'.
`java.lang.Object` `caseQueryExpressionRoot(QueryExpressionRoot object)` Returns the result of interpretting the object as an instance of 'Query Expression Root'.
`java.lang.Object` `caseQueryInsertStatement(QueryInsertStatement object)` Returns the result of interpretting the object as an instance of 'Query Insert Statement'.
`java.lang.Object` `caseQueryMergeStatement(QueryMergeStatement object)` Returns the result of interpretting the object as an instance of 'Query Merge Statement'.
`java.lang.Object` `caseQueryResultSpecification(QueryResultSpecification object)` Returns the result of interpretting the object as an instance of 'Query Result Specification'.
`java.lang.Object` `caseQuerySearchCondition(QuerySearchCondition object)` Returns the result of interpretting the object as an instance of 'Query Search Condition'.
`java.lang.Object` `caseQuerySelect(QuerySelect object)` Returns the result of interpretting the object as an instance of 'Query Select'.
`java.lang.Object` `caseQuerySelectStatement(QuerySelectStatement object)` Returns the result of interpretting the object as an instance of 'Query Select Statement'.
`java.lang.Object` `caseQueryStatement(QueryStatement object)` Returns the result of interpretting the object as an instance of 'Query Statement'.
`java.lang.Object` `caseQueryUpdateStatement(QueryUpdateStatement object)` Returns the result of interpretting the object as an instance of 'Query Update Statement'.
`java.lang.Object` `caseQueryValueExpression(QueryValueExpression object)` Returns the result of interpretting the object as an instance of 'Query Value Expression'.
`java.lang.Object` `caseQueryValues(QueryValues object)` Returns the result of interpretting the object as an instance of 'Query Values'.
`java.lang.Object` `caseResultColumn(ResultColumn object)` Returns the result of interpretting the object as an instance of 'Result Column'.
`java.lang.Object` `caseResultTableAllColumns(ResultTableAllColumns object)` Returns the result of interpretting the object as an instance of 'Result Table All Columns'.
`java.lang.Object` `caseSearchCondition(SearchCondition object)` Returns the result of interpretting the object as an instance of 'Search Condition'.
`java.lang.Object` `caseSearchConditionCombined(SearchConditionCombined object)` Returns the result of interpretting the object as an instance of 'Search Condition Combined'.
`java.lang.Object` `caseSearchConditionNested(SearchConditionNested object)` Returns the result of interpretting the object as an instance of 'Search Condition Nested'.
`java.lang.Object` `caseSQLDataChangeStatement(SQLDataChangeStatement object)` Returns the result of interpretting the object as an instance of 'SQL Data Change Statement'.
`java.lang.Object` `caseSQLDataStatement(SQLDataStatement object)` Returns the result of interpretting the object as an instance of 'SQL Data Statement'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpretting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSQLQueryObject(SQLQueryObject object)` Returns the result of interpretting the object as an instance of 'SQL Query Object'.
`java.lang.Object` `caseSQLStatement(SQLStatement object)` Returns the result of interpretting the object as an instance of 'SQL Statement'.
`java.lang.Object` `caseSuperGroup(SuperGroup object)` Returns the result of interpretting the object as an instance of 'Super Group'.
`java.lang.Object` `caseSuperGroupElement(SuperGroupElement object)` Returns the result of interpretting the object as an instance of 'Super Group Element'.
`java.lang.Object` `caseSuperGroupElementExpression(SuperGroupElementExpression object)` Returns the result of interpretting the object as an instance of 'Super Group Element Expression'.
`java.lang.Object` `caseSuperGroupElementSublist(SuperGroupElementSublist object)` Returns the result of interpretting the object as an instance of 'Super Group Element Sublist'.
`java.lang.Object` `caseTableCorrelation(TableCorrelation object)` Returns the result of interpretting the object as an instance of 'Table Correlation'.
`java.lang.Object` `caseTableExpression(TableExpression object)` Returns the result of interpretting the object as an instance of 'Table Expression'.
`java.lang.Object` `caseTableFunction(TableFunction object)` Returns the result of interpretting the object as an instance of 'Table Function'.
`java.lang.Object` `caseTableInDatabase(TableInDatabase object)` Returns the result of interpretting the object as an instance of 'Table In Database'.
`java.lang.Object` `caseTableJoined(TableJoined object)` Returns the result of interpretting the object as an instance of 'Table Joined'.
`java.lang.Object` `caseTableNested(TableNested object)` Returns the result of interpretting the object as an instance of 'Table Nested'.
`java.lang.Object` `caseTableReference(TableReference object)` Returns the result of interpretting the object as an instance of 'Table Reference'.
`java.lang.Object` `caseUpdateAssignmentExpression(UpdateAssignmentExpression object)` Returns the result of interpretting the object as an instance of 'Update Assignment Expression'.
`java.lang.Object` `caseUpdateSource(UpdateSource object)` Returns the result of interpretting the object as an instance of 'Update Source'.
`java.lang.Object` `caseUpdateSourceExprList(UpdateSourceExprList object)` Returns the result of interpretting the object as an instance of 'Update Source Expr List'.
`java.lang.Object` `caseUpdateSourceQuery(UpdateSourceQuery object)` Returns the result of interpretting the object as an instance of 'Update Source Query'.
`java.lang.Object` `caseValueExpression(ValueExpression object)` Returns the result of interpretting the object as an instance of 'Value Expression'.
`java.lang.Object` `caseValueExpressionAtomic(ValueExpressionAtomic object)` Returns the result of interpretting the object as an instance of 'Value Expression Atomic'.
`java.lang.Object` `caseValueExpressionCase(ValueExpressionCase object)` Returns the result of interpretting the object as an instance of 'Value Expression Case'.
`java.lang.Object` `caseValueExpressionCaseElse(ValueExpressionCaseElse object)` Returns the result of interpretting the object as an instance of 'Value Expression Case Else'.
`java.lang.Object` `caseValueExpressionCaseSearch(ValueExpressionCaseSearch object)` Returns the result of interpretting the object as an instance of 'Value Expression Case Search'.
`java.lang.Object` `caseValueExpressionCaseSearchContent(ValueExpressionCaseSearchContent object)` Returns the result of interpretting the object as an instance of 'Value Expression Case Search Content'.
`java.lang.Object` `caseValueExpressionCaseSimple(ValueExpressionCaseSimple object)` Returns the result of interpretting the object as an instance of 'Value Expression Case Simple'.
`java.lang.Object` `caseValueExpressionCaseSimpleContent(ValueExpressionCaseSimpleContent object)` Returns the result of interpretting the object as an instance of 'Value Expression Case Simple Content'.
`java.lang.Object` `caseValueExpressionCast(ValueExpressionCast object)` Returns the result of interpretting the object as an instance of 'Value Expression Cast'.
`java.lang.Object` `caseValueExpressionColumn(ValueExpressionColumn object)` Returns the result of interpretting the object as an instance of 'Value Expression Column'.
`java.lang.Object` `caseValueExpressionCombined(ValueExpressionCombined object)` Returns the result of interpretting the object as an instance of 'Value Expression Combined'.
`java.lang.Object` `caseValueExpressionDefaultValue(ValueExpressionDefaultValue object)` Returns the result of interpretting the object as an instance of 'Value Expression Default Value'.
`java.lang.Object` `caseValueExpressionFunction(ValueExpressionFunction object)` Returns the result of interpretting the object as an instance of 'Value Expression Function'.
`java.lang.Object` `caseValueExpressionLabeledDuration(ValueExpressionLabeledDuration object)` Returns the result of interpretting the object as an instance of 'Value Expression Labeled Duration'.
`java.lang.Object` `caseValueExpressionNested(ValueExpressionNested object)` Returns the result of interpretting the object as an instance of 'Value Expression Nested'.
`java.lang.Object` `caseValueExpressionNullValue(ValueExpressionNullValue object)` Returns the result of interpretting the object as an instance of 'Value Expression Null Value'.
`java.lang.Object` `caseValueExpressionScalarSelect(ValueExpressionScalarSelect object)` Returns the result of interpretting the object as an instance of 'Value Expression Scalar Select'.
`java.lang.Object` `caseValueExpressionSimple(ValueExpressionSimple object)` Returns the result of interpretting the object as an instance of 'Value Expression Simple'.
`java.lang.Object` `caseValueExpressionVariable(ValueExpressionVariable object)` Returns the result of interpretting the object as an instance of 'Value Expression Variable'.
`java.lang.Object` `caseValuesRow(ValuesRow object)` Returns the result of interpretting the object as an instance of 'Values Row'.
`java.lang.Object` `caseWithTableReference(WithTableReference object)` Returns the result of interpretting the object as an instance of 'With Table Reference'.
`java.lang.Object` `caseWithTableSpecification(WithTableSpecification object)` Returns the result of interpretting the object as an instance of 'With Table Specification'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryModelSwitch

    public SQLQueryModelSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseQueryStatement

    public java.lang.Object caseQueryStatement(QueryStatement object)

  Returns the result of interpretting the object as an instance of 'Query Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Statement'.
  See Also:
    `doSwitch(EObject)`

### caseQueryDeleteStatement

    public java.lang.Object caseQueryDeleteStatement(QueryDeleteStatement object)

  Returns the result of interpretting the object as an instance of 'Query Delete Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Delete Statement'.
  See Also:
    `doSwitch(EObject)`

### caseQueryInsertStatement

    public java.lang.Object caseQueryInsertStatement(QueryInsertStatement object)

  Returns the result of interpretting the object as an instance of 'Query Insert Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Insert Statement'.
  See Also:
    `doSwitch(EObject)`

### caseQuerySelectStatement

    public java.lang.Object caseQuerySelectStatement(QuerySelectStatement object)

  Returns the result of interpretting the object as an instance of 'Query Select Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Select Statement'.
  See Also:
    `doSwitch(EObject)`

### caseQueryUpdateStatement

    public java.lang.Object caseQueryUpdateStatement(QueryUpdateStatement object)

  Returns the result of interpretting the object as an instance of 'Query Update Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Update Statement'.
  See Also:
    `doSwitch(EObject)`

### caseUpdateAssignmentExpression

    public java.lang.Object caseUpdateAssignmentExpression(UpdateAssignmentExpression object)

  Returns the result of interpretting the object as an instance of 'Update Assignment Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Update Assignment Expression'.
  See Also:
    `doSwitch(EObject)`

### caseCursorReference

    public java.lang.Object caseCursorReference(CursorReference object)

  Returns the result of interpretting the object as an instance of 'Cursor Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Cursor Reference'.
  See Also:
    `doSwitch(EObject)`

### caseQuerySearchCondition

    public java.lang.Object caseQuerySearchCondition(QuerySearchCondition object)

  Returns the result of interpretting the object as an instance of 'Query Search Condition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Search Condition'.
  See Also:
    `doSwitch(EObject)`

### caseQueryExpressionBody

    public java.lang.Object caseQueryExpressionBody(QueryExpressionBody object)

  Returns the result of interpretting the object as an instance of 'Query Expression Body'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Expression Body'.
  See Also:
    `doSwitch(EObject)`

### caseQueryValueExpression

    public java.lang.Object caseQueryValueExpression(QueryValueExpression object)

  Returns the result of interpretting the object as an instance of 'Query Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Value Expression'.
  See Also:
    `doSwitch(EObject)`

### caseQueryExpressionRoot

    public java.lang.Object caseQueryExpressionRoot(QueryExpressionRoot object)

  Returns the result of interpretting the object as an instance of 'Query Expression Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Expression Root'.
  See Also:
    `doSwitch(EObject)`

### caseValuesRow

    public java.lang.Object caseValuesRow(ValuesRow object)

  Returns the result of interpretting the object as an instance of 'Values Row'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Values Row'.
  See Also:
    `doSwitch(EObject)`

### caseQueryValues

    public java.lang.Object caseQueryValues(QueryValues object)

  Returns the result of interpretting the object as an instance of 'Query Values'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Values'.
  See Also:
    `doSwitch(EObject)`

### caseTableReference

    public java.lang.Object caseTableReference(TableReference object)

  Returns the result of interpretting the object as an instance of 'Table Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Reference'.
  See Also:
    `doSwitch(EObject)`

### caseTableExpression

    public java.lang.Object caseTableExpression(TableExpression object)

  Returns the result of interpretting the object as an instance of 'Table Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Expression'.
  See Also:
    `doSwitch(EObject)`

### caseTableJoined

    public java.lang.Object caseTableJoined(TableJoined object)

  Returns the result of interpretting the object as an instance of 'Table Joined'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Joined'.
  See Also:
    `doSwitch(EObject)`

### caseWithTableSpecification

    public java.lang.Object caseWithTableSpecification(WithTableSpecification object)

  Returns the result of interpretting the object as an instance of 'With Table Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'With Table Specification'.
  See Also:
    `doSwitch(EObject)`

### casePredicate

    public java.lang.Object casePredicate(Predicate object)

  Returns the result of interpretting the object as an instance of 'Predicate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate'.
  See Also:
    `doSwitch(EObject)`

### caseSearchConditionCombined

    public java.lang.Object caseSearchConditionCombined(SearchConditionCombined object)

  Returns the result of interpretting the object as an instance of 'Search Condition Combined'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Search Condition Combined'.
  See Also:
    `doSwitch(EObject)`

### caseOrderByValueExpression

    public java.lang.Object caseOrderByValueExpression(OrderByValueExpression object)

  Returns the result of interpretting the object as an instance of 'Order By Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Order By Value Expression'.
  See Also:
    `doSwitch(EObject)`

### caseQueryCombined

    public java.lang.Object caseQueryCombined(QueryCombined object)

  Returns the result of interpretting the object as an instance of 'Query Combined'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Combined'.
  See Also:
    `doSwitch(EObject)`

### caseQuerySelect

    public java.lang.Object caseQuerySelect(QuerySelect object)

  Returns the result of interpretting the object as an instance of 'Query Select'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Select'.
  See Also:
    `doSwitch(EObject)`

### caseGroupingSpecification

    public java.lang.Object caseGroupingSpecification(GroupingSpecification object)

  Returns the result of interpretting the object as an instance of 'Grouping Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grouping Specification'.
  See Also:
    `doSwitch(EObject)`

### caseQueryResultSpecification

    public java.lang.Object caseQueryResultSpecification(QueryResultSpecification object)

  Returns the result of interpretting the object as an instance of 'Query Result Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Result Specification'.
  See Also:
    `doSwitch(EObject)`

### caseResultTableAllColumns

    public java.lang.Object caseResultTableAllColumns(ResultTableAllColumns object)

  Returns the result of interpretting the object as an instance of 'Result Table All Columns'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Result Table All Columns'.
  See Also:
    `doSwitch(EObject)`

### caseResultColumn

    public java.lang.Object caseResultColumn(ResultColumn object)

  Returns the result of interpretting the object as an instance of 'Result Column'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Result Column'.
  See Also:
    `doSwitch(EObject)`

### casePredicateBasic

    public java.lang.Object casePredicateBasic(PredicateBasic object)

  Returns the result of interpretting the object as an instance of 'Predicate Basic'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Basic'.
  See Also:
    `doSwitch(EObject)`

### casePredicateQuantified

    public java.lang.Object casePredicateQuantified(PredicateQuantified object)

  Returns the result of interpretting the object as an instance of 'Predicate Quantified'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Quantified'.
  See Also:
    `doSwitch(EObject)`

### casePredicateBetween

    public java.lang.Object casePredicateBetween(PredicateBetween object)

  Returns the result of interpretting the object as an instance of 'Predicate Between'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Between'.
  See Also:
    `doSwitch(EObject)`

### casePredicateExists

    public java.lang.Object casePredicateExists(PredicateExists object)

  Returns the result of interpretting the object as an instance of 'Predicate Exists'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Exists'.
  See Also:
    `doSwitch(EObject)`

### casePredicateIn

    public java.lang.Object casePredicateIn(PredicateIn object)

  Returns the result of interpretting the object as an instance of 'Predicate In'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate In'.
  See Also:
    `doSwitch(EObject)`

### casePredicateLike

    public java.lang.Object casePredicateLike(PredicateLike object)

  Returns the result of interpretting the object as an instance of 'Predicate Like'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Like'.
  See Also:
    `doSwitch(EObject)`

### casePredicateIsNull

    public java.lang.Object casePredicateIsNull(PredicateIsNull object)

  Returns the result of interpretting the object as an instance of 'Predicate Is Null'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Is Null'.
  See Also:
    `doSwitch(EObject)`

### casePredicateQuantifiedValueSelect

    public java.lang.Object casePredicateQuantifiedValueSelect(PredicateQuantifiedValueSelect object)

  Returns the result of interpretting the object as an instance of 'Predicate Quantified Value Select'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Quantified Value Select'.
  See Also:
    `doSwitch(EObject)`

### casePredicateQuantifiedRowSelect

    public java.lang.Object casePredicateQuantifiedRowSelect(PredicateQuantifiedRowSelect object)

  Returns the result of interpretting the object as an instance of 'Predicate Quantified Row Select'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate Quantified Row Select'.
  See Also:
    `doSwitch(EObject)`

### casePredicateInValueSelect

    public java.lang.Object casePredicateInValueSelect(PredicateInValueSelect object)

  Returns the result of interpretting the object as an instance of 'Predicate In Value Select'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate In Value Select'.
  See Also:
    `doSwitch(EObject)`

### casePredicateInValueList

    public java.lang.Object casePredicateInValueList(PredicateInValueList object)

  Returns the result of interpretting the object as an instance of 'Predicate In Value List'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate In Value List'.
  See Also:
    `doSwitch(EObject)`

### casePredicateInValueRowSelect

    public java.lang.Object casePredicateInValueRowSelect(PredicateInValueRowSelect object)

  Returns the result of interpretting the object as an instance of 'Predicate In Value Row Select'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predicate In Value Row Select'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionSimple

    public java.lang.Object caseValueExpressionSimple(ValueExpressionSimple object)

  Returns the result of interpretting the object as an instance of 'Value Expression Simple'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Simple'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionColumn

    public java.lang.Object caseValueExpressionColumn(ValueExpressionColumn object)

  Returns the result of interpretting the object as an instance of 'Value Expression Column'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Column'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionVariable

    public java.lang.Object caseValueExpressionVariable(ValueExpressionVariable object)

  Returns the result of interpretting the object as an instance of 'Value Expression Variable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Variable'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionScalarSelect

    public java.lang.Object caseValueExpressionScalarSelect(ValueExpressionScalarSelect object)

  Returns the result of interpretting the object as an instance of 'Value Expression Scalar Select'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Scalar Select'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionLabeledDuration

    public java.lang.Object caseValueExpressionLabeledDuration(ValueExpressionLabeledDuration object)

  Returns the result of interpretting the object as an instance of 'Value Expression Labeled Duration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Labeled Duration'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCase

    public java.lang.Object caseValueExpressionCase(ValueExpressionCase object)

  Returns the result of interpretting the object as an instance of 'Value Expression Case'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Case'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCast

    public java.lang.Object caseValueExpressionCast(ValueExpressionCast object)

  Returns the result of interpretting the object as an instance of 'Value Expression Cast'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Cast'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionNullValue

    public java.lang.Object caseValueExpressionNullValue(ValueExpressionNullValue object)

  Returns the result of interpretting the object as an instance of 'Value Expression Null Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Null Value'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionDefaultValue

    public java.lang.Object caseValueExpressionDefaultValue(ValueExpressionDefaultValue object)

  Returns the result of interpretting the object as an instance of 'Value Expression Default Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Default Value'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionFunction

    public java.lang.Object caseValueExpressionFunction(ValueExpressionFunction object)

  Returns the result of interpretting the object as an instance of 'Value Expression Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Function'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCombined

    public java.lang.Object caseValueExpressionCombined(ValueExpressionCombined object)

  Returns the result of interpretting the object as an instance of 'Value Expression Combined'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Combined'.
  See Also:
    `doSwitch(EObject)`

### caseGroupingSets

    public java.lang.Object caseGroupingSets(GroupingSets object)

  Returns the result of interpretting the object as an instance of 'Grouping Sets'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grouping Sets'.
  See Also:
    `doSwitch(EObject)`

### caseGrouping

    public java.lang.Object caseGrouping(Grouping object)

  Returns the result of interpretting the object as an instance of 'Grouping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grouping'.
  See Also:
    `doSwitch(EObject)`

### caseGroupingSetsElement

    public java.lang.Object caseGroupingSetsElement(GroupingSetsElement object)

  Returns the result of interpretting the object as an instance of 'Grouping Sets Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grouping Sets Element'.
  See Also:
    `doSwitch(EObject)`

### caseGroupingSetsElementSublist

    public java.lang.Object caseGroupingSetsElementSublist(GroupingSetsElementSublist object)

  Returns the result of interpretting the object as an instance of 'Grouping Sets Element Sublist'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grouping Sets Element Sublist'.
  See Also:
    `doSwitch(EObject)`

### caseGroupingSetsElementExpression

    public java.lang.Object caseGroupingSetsElementExpression(GroupingSetsElementExpression object)

  Returns the result of interpretting the object as an instance of 'Grouping Sets Element Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grouping Sets Element Expression'.
  See Also:
    `doSwitch(EObject)`

### caseSuperGroup

    public java.lang.Object caseSuperGroup(SuperGroup object)

  Returns the result of interpretting the object as an instance of 'Super Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Super Group'.
  See Also:
    `doSwitch(EObject)`

### caseGroupingExpression

    public java.lang.Object caseGroupingExpression(GroupingExpression object)

  Returns the result of interpretting the object as an instance of 'Grouping Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grouping Expression'.
  See Also:
    `doSwitch(EObject)`

### caseSuperGroupElement

    public java.lang.Object caseSuperGroupElement(SuperGroupElement object)

  Returns the result of interpretting the object as an instance of 'Super Group Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Super Group Element'.
  See Also:
    `doSwitch(EObject)`

### caseSuperGroupElementSublist

    public java.lang.Object caseSuperGroupElementSublist(SuperGroupElementSublist object)

  Returns the result of interpretting the object as an instance of 'Super Group Element Sublist'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Super Group Element Sublist'.
  See Also:
    `doSwitch(EObject)`

### caseSuperGroupElementExpression

    public java.lang.Object caseSuperGroupElementExpression(SuperGroupElementExpression object)

  Returns the result of interpretting the object as an instance of 'Super Group Element Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Super Group Element Expression'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCaseSearch

    public java.lang.Object caseValueExpressionCaseSearch(ValueExpressionCaseSearch object)

  Returns the result of interpretting the object as an instance of 'Value Expression Case Search'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Case Search'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCaseSimple

    public java.lang.Object caseValueExpressionCaseSimple(ValueExpressionCaseSimple object)

  Returns the result of interpretting the object as an instance of 'Value Expression Case Simple'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Case Simple'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCaseElse

    public java.lang.Object caseValueExpressionCaseElse(ValueExpressionCaseElse object)

  Returns the result of interpretting the object as an instance of 'Value Expression Case Else'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Case Else'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCaseSearchContent

    public java.lang.Object caseValueExpressionCaseSearchContent(ValueExpressionCaseSearchContent object)

  Returns the result of interpretting the object as an instance of 'Value Expression Case Search Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Case Search Content'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionCaseSimpleContent

    public java.lang.Object caseValueExpressionCaseSimpleContent(ValueExpressionCaseSimpleContent object)

  Returns the result of interpretting the object as an instance of 'Value Expression Case Simple Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Case Simple Content'.
  See Also:
    `doSwitch(EObject)`

### caseTableInDatabase

    public java.lang.Object caseTableInDatabase(TableInDatabase object)

  Returns the result of interpretting the object as an instance of 'Table In Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table In Database'.
  See Also:
    `doSwitch(EObject)`

### caseTableFunction

    public java.lang.Object caseTableFunction(TableFunction object)

  Returns the result of interpretting the object as an instance of 'Table Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Function'.
  See Also:
    `doSwitch(EObject)`

### caseSQLQueryObject

    public java.lang.Object caseSQLQueryObject(SQLQueryObject object)

  Returns the result of interpretting the object as an instance of 'SQL Query Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Query Object'.
  See Also:
    `doSwitch(EObject)`

### caseQueryChangeStatement

    public java.lang.Object caseQueryChangeStatement(QueryChangeStatement object)

  Returns the result of interpretting the object as an instance of 'Query Change Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Change Statement'.
  See Also:
    `doSwitch(EObject)`

### caseColumnName

    public java.lang.Object caseColumnName(ColumnName object)

  Returns the result of interpretting the object as an instance of 'Column Name'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Column Name'.
  See Also:
    `doSwitch(EObject)`

### caseTableNested

    public java.lang.Object caseTableNested(TableNested object)

  Returns the result of interpretting the object as an instance of 'Table Nested'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Nested'.
  See Also:
    `doSwitch(EObject)`

### caseQueryMergeStatement

    public java.lang.Object caseQueryMergeStatement(QueryMergeStatement object)

  Returns the result of interpretting the object as an instance of 'Query Merge Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Merge Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSearchConditionNested

    public java.lang.Object caseSearchConditionNested(SearchConditionNested object)

  Returns the result of interpretting the object as an instance of 'Search Condition Nested'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Search Condition Nested'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionNested

    public java.lang.Object caseValueExpressionNested(ValueExpressionNested object)

  Returns the result of interpretting the object as an instance of 'Value Expression Nested'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Nested'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpressionAtomic

    public java.lang.Object caseValueExpressionAtomic(ValueExpressionAtomic object)

  Returns the result of interpretting the object as an instance of 'Value Expression Atomic'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression Atomic'.
  See Also:
    `doSwitch(EObject)`

### caseOrderBySpecification

    public java.lang.Object caseOrderBySpecification(OrderBySpecification object)

  Returns the result of interpretting the object as an instance of 'Order By Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Order By Specification'.
  See Also:
    `doSwitch(EObject)`

### caseOrderByOrdinal

    public java.lang.Object caseOrderByOrdinal(OrderByOrdinal object)

  Returns the result of interpretting the object as an instance of 'Order By Ordinal'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Order By Ordinal'.
  See Also:
    `doSwitch(EObject)`

### caseTableCorrelation

    public java.lang.Object caseTableCorrelation(TableCorrelation object)

  Returns the result of interpretting the object as an instance of 'Table Correlation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Correlation'.
  See Also:
    `doSwitch(EObject)`

### caseUpdateSource

    public java.lang.Object caseUpdateSource(UpdateSource object)

  Returns the result of interpretting the object as an instance of 'Update Source'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Update Source'.
  See Also:
    `doSwitch(EObject)`

### caseUpdateSourceExprList

    public java.lang.Object caseUpdateSourceExprList(UpdateSourceExprList object)

  Returns the result of interpretting the object as an instance of 'Update Source Expr List'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Update Source Expr List'.
  See Also:
    `doSwitch(EObject)`

### caseUpdateSourceQuery

    public java.lang.Object caseUpdateSourceQuery(UpdateSourceQuery object)

  Returns the result of interpretting the object as an instance of 'Update Source Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Update Source Query'.
  See Also:
    `doSwitch(EObject)`

### caseOrderByResultColumn

    public java.lang.Object caseOrderByResultColumn(OrderByResultColumn object)

  Returns the result of interpretting the object as an instance of 'Order By Result Column'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Order By Result Column'.
  See Also:
    `doSwitch(EObject)`

### caseWithTableReference

    public java.lang.Object caseWithTableReference(WithTableReference object)

  Returns the result of interpretting the object as an instance of 'With Table Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'With Table Reference'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(EModelElement object)

  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(ENamedElement object)

  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpretting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseSQLStatement

    public java.lang.Object caseSQLStatement(SQLStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDataStatement

    public java.lang.Object caseSQLDataStatement(SQLDataStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Data Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Data Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDataChangeStatement

    public java.lang.Object caseSQLDataChangeStatement(SQLDataChangeStatement object)

  Returns the result of interpretting the object as an instance of 'SQL Data Change Statement'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Data Change Statement'.
  See Also:
    `doSwitch(EObject)`

### caseSearchCondition

    public java.lang.Object caseSearchCondition(SearchCondition object)

  Returns the result of interpretting the object as an instance of 'Search Condition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Search Condition'.
  See Also:
    `doSwitch(EObject)`

### caseValueExpression

    public java.lang.Object caseValueExpression(ValueExpression object)

  Returns the result of interpretting the object as an instance of 'Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression'.
  See Also:
    `doSwitch(EObject)`

### caseQueryExpression

    public java.lang.Object caseQueryExpression(QueryExpression object)

  Returns the result of interpretting the object as an instance of 'Query Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Expression'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.